/// IPAddress.h
///
/// (c) 2002-2006 Bastian Spiegel <bs@tkscript.de>
///     - Distributed under terms of the Lesser GNU General Public License (LGPL).
///       See COPYING and <http://www.gnu.org/licenses/licenses.html#LGPL> for further information.
///
///

#ifndef __TKSDL_IPADDRESS_H__
#define __TKSDL_IPADDRESS_H__


YG("network");

YC class _IPAddress : public YAC_Object {
public:
	IPaddress sdlnet_ipadr;
public:
	_IPAddress(void);
	~_IPAddress();

	YAC(_IPAddress);

	void YAC_CALL yacOperator(sSI _cmd, YAC_Object *_o, YAC_Value *);

	YM void _setHost       (sSI _ip4adr);
	YM sSI  _getHost       (void);
	YM void _setPort       (sSI _portnr);
	YM sSI  _getPort       (void);
	YM sSI  _setHostByName (YAC_String *_name);
	YM void _getHostName   (YAC_Value *_r);
	YM void _init          (sSI _adr, sSI _port);
	YM void _getHostString (YAC_Value *_r);
};



#endif
