/// Mouse.h
///
/// (c) 2001-2006 by Bastian Spiegel <bs@tkscript.de>
///     - Distributed under terms of the Lesser GNU General Public License (LGPL).
///       See COPYING and <http://www.gnu.org/licenses/licenses.html#LGPL> for further information.
///
///
#ifndef __TKSDL_MOUSE_H__
#define __TKSDL_MOUSE_H__

YG("hal1");


#define TKS_MOUSE_SHOW_ENABLE 0x81
#define TKS_MOUSE_SHOW_DISABLE 0x80

//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
//~                                                                ~
//~ Mouse                                                          ~
//~                                                                ~
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
YCS class _Mouse : public YAC_Object {
public:
	YAC(_Mouse);

	 // ------------ exported methods ------------
	YM void _grab              (void);
	YM void _ungrab            (void);
        YM void _toggleGrab        (void);
	YM sSI  _getX              (void);
	YM sSI  _getY              (void);
	YM sSI  _getButtons        (void);
	YM sSI  _isGrabbed         (void);
	YM sSI  _getDx             (void);
	YM sSI  _getDy             (void);
	YM void _unproject         (YAC_Object *_vnearret, YAC_Object *_vfarret);
	YM sSI  _getChangedButtons (void);
	YM void _showPointer       (sSI);
	YM void _setPointerMode    (sSI);
	YM sSI  _getPointerMode    (void);
};


#endif



