/// Mutex.h
///
/// (c) 2002-2005 Bastian Spiegel <bs@tkscript.de>
///     - Distributed under terms of the Lesser GNU General Public License (LGPL).
///       See COPYING and <http://www.gnu.org/licenses/licenses.html#LGPL> for further information.
///
///
#ifndef __TKSDL_MUTEX_H__
#define __TKSDL_MUTEX_H__

YG("thread");

//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
//~                                   ~
//~ Mutex                             ~
//~                                   ~
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
YC class _Mutex : public YAC_Object {
public:
  SDL_mutex *sdl_mutex;
  
public:
  _Mutex(void);
  ~_Mutex();
  YAC(_Mutex);

  YM void _create  (void);
  YM void _destroy (void);
  YM void _lock    (void);
  YM void _unlock  (void);
};



#endif

