/// TCPSocket.h
///
/// (c) 2002-2005 Bastian Spiegel <bs@tkscript.de>
///     - Distributed under terms of the Lesser GNU General Public License (LGPL).
///       See COPYING and <http://www.gnu.org/licenses/licenses.html#LGPL> for further information.
///
///

#ifndef __TKSDL_TCPSOCKET_H__
#define __TKSDL_TCPSOCKET_H__

YG("network");


//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
//~                                   ~
//~ _TCPSocket                        ~
//~                                   ~
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
YC class _TCPSocket : public YAC_Object {
public:
	TCPsocket sdlnet_socket;
public:
	_TCPSocket(void);
	~_TCPSocket();

	YAC(_TCPSocket);

	YM void _accept         (YAC_Value *_r);
	YM void _close          (void);
	YM void _getPeerAddress (YAC_Value *_r);
	YM sSI  _open           (YAC_Object *_ipadr);
	YM sSI  _recv           (YAC_Object *_netbuf, sSI _num);
	YM sSI  _send           (YAC_Object *_netbuf, sSI _num);
   YM sSI  _sendString     (YAC_Object *_s);
	YM sSI  _socketReady    (void);
};

#endif

