/// UDPPacket.h
///
/// (c) 2002-2005 Bastian Spiegel <bs@tkscript.de>
///     - Distributed under terms of the Lesser GNU General Public License (LGPL).
///       See COPYING and <http://www.gnu.org/licenses/licenses.html#LGPL> for further information.
///
///

#ifndef __TKSDL_UDPPACKET_H__
#define __TKSDL_UDPPACKET_H__

YG("network");

//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
//~                                   ~
//~ UDPPacket                         ~
//~                                   ~
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
YC class _UDPPacket : public YAC_Object {
public:
	UDPpacket   sdlnet_packet;
	YAC_Buffer *netbuf;
public:
	_UDPPacket(void);
	~_UDPPacket();

	YAC(_UDPPacket);

	YM void        _setChannel (sSI _nr);
	YM sSI         _getChannel (void);
	YM void        _setData    (YAC_Object *_netbuf);
	YM YAC_Object *_getData    (void);
	YM sSI         _getLength  (void);
	YM void        _setLength  (sSI);
	YM sSI         _getStatus  (void);
	YM void        _setAddress (_IPAddress *_ipadr);
	YM void        _getAddress (YAC_Value *_r);
};


#endif
