/// UDPSocket.h
///
/// (c) 2002-2005 Bastian Spiegel <bs@tkscript.de>
///     - Distributed under terms of the Lesser GNU General Public License (LGPL).
///       See COPYING and <http://www.gnu.org/licenses/licenses.html#LGPL> for further information.
///
///

#ifndef __TKSDL_UDPSOCKET_H__
#define __TKSDL_UDPSOCKET_H__

YG("network");


//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
//~                                   ~
//~ _UDPSocket                        ~
//~                                   ~
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
YC class _UDPSocket : public YAC_Object {
public:
	UDPsocket sdlnet_socket;
public:
	_UDPSocket(void);
	~_UDPSocket();

	YAC(_UDPSocket);

	YM sSI  _open           (sSI _port);
	YM void _close          (void);
	YM void _getPeerAddress (sSI _channel, YAC_Value *_r);
	YM sSI  _bind           (sSI _channel, YAC_Object *_ip);
	YM sSI  _send           (sSI _channel, YAC_Object *_udppacket);
	YM sSI  _recv           (YAC_Object *_udppacket);
	YM sSI  _socketReady    (void);
	YM void _unbind         (sSI _channel);
};


#endif

