#ifndef __TKS_SEQUENCER_H__
#define __TKS_SEQUENCER_H__


#define TKSEQ_NUMCONTROLLERS 32

class SeqProgram;
class SeqChannel;
class SeqMaster; // Arrangement

class SeqChannel : public YAC_Object {
public:
	YAC_Object *synth; // script Class, "init", "exit", "render"
	SeqProgram *seq;   // master sequence

	SeqChannel(void);
	~SeqChannel();

};

class SeqProgram : public YAC_Object {
public:
	YAC_Object *ctls[TKSEQ_NUMCTLS];    // Envelope objects
	sUI         ctl_mask;               // which ctls are used
	sUI         ctl_fun[TKSEQ_NUMCTLS]; // how this ctls modify the vals of sub-programs
	                                    // 0=replace, 1=mul,c*s, 2=add,c+s, 3=sub,c-s, 4=subr,s-c

public:
	SeqProgram(void);
	~SeqProgram();
};

class SeqMaster : public YAC_Object {
	SeqChannel channels[TKSEQ_NUMCHANNELS];


};

#endif