/// Cursor.h
///
/// (c) 2006 Bastian Spiegel <bs@tkscript.de>
///     - Distributed under terms of the Lesser GNU General Public License (LGPL).
///       See COPYING and <http://www.gnu.org/licenses/licenses.html#LGPL> for further information.
///
///

#ifndef __TKSDL_CURSOR_H__
#define __TKSDL_CURSOR_H__


YG("hal1");

YC class _Cursor : public YAC_Object {
public:
	SDL_Cursor *sdl_cursor;
   SDL_Cursor *previous_cursor;
   sU8        *data;
   sU8        *mask;
   sSI         width, height, hotx, hoty;
   sBool       b_created;

public:
	_Cursor(void);
	~_Cursor();

	YAC(_Cursor);

   void createCursor (void);
   void freeCursor   (void);
   
   // "X #000000", ". #ffffff", "  transparent"
   YM sSI  _create (YAC_Object *_s, sSI _w, sSI _h, sSI _hotx, sSI _hoty);
   YM sSI  _show   (void);
   YM void _revert (void);
};



#endif
