/// FPS.h
///
/// (c) 2001-2006 by Bastian Spiegel <bs@tkscript.de>
///     - Distributed under terms of the Lesser GNU General Public License (LGPL).
///       See COPYING and <http://www.gnu.org/licenses/licenses.html#LGPL> for further information.
///
///
#ifndef __TKSDL_FPS_H__
#define __TKSDL_FPS_H__

YG("hal1");


YCS class _FPS : public YAC_Object {
public:
	YAC(_FPS);

	 // ------------ exported methods ------------
	YM sF32 _getCurrent           (void);
	YM sF32 _getAverage           (void);
	YM void _reset                (void);
	YM void _setMax               (sF32 _fps);
	YM sF32 _getMax               (void);
	YM sF32 _getReal              (void);
	YM sF32 _getPrecision         (void);
	YM sSI  _getTotalTime         (void);
	YM sSI  _getNumFramesRendered (void);
	YM void _setTickInterval      (sF32 _ival);
	YM sF32 _getTickInterval      (void);
	YM void _setTickBuffer        (sSI _ival);
	YM sSI  _getTickBuffer        (void);
	YM void _setLimit             (sUI);
	YM sUI  _getLimit             (void);
};


#endif
