/// Network.h
///
/// (c) 2002-2005 Bastian Spiegel <bs@tkscript.de>
///     - Distributed under terms of the Lesser GNU General Public License (LGPL).
///       See COPYING and <http://www.gnu.org/licenses/licenses.html#LGPL> for further information.
///
///

#ifndef __TKSDL_NETWORK_H__
#define __TKSDL_NETWORK_H__

YG("network");


//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
//~                                   ~
//~ Network                           ~
//~                                   ~
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
YCS class _Network : public YAC_Object {
public:
//#define INADDR_ANY  YCI 0
//#define INADDR_NONE YCI 0xFFFFFFFF

public:
	SDLNet_SocketSet sdlnet_socketset;
public:
	_Network(void);
	~_Network();

	YAC(_Network);

	YM void _getError       (YAC_Value *_r);
	YM void _resolveHost    (YAC_Object *_name, sSI _port, YAC_Value *_r);
	YM void _resolveIP      (YAC_Object *_ipadr, YAC_Value *_r);
	YM sSI  _allocSocketSet (sSI _num);
	YM void _freeSocketSet  (void);
	YM sSI  _addSocket      (YAC_Object *_socket);
	YM sSI  _addTCPSocket   (YAC_Object *_socket);
	YM sSI  _addUDPSocket   (YAC_Object *_socket);
	YM sSI  _removeSocket   (YAC_Object *_socket);
	YM sSI  _checkSockets   (sSI _timeout);
};

#endif
