/// Viewport.h
///
/// (c) 2001-2005 by Bastian Spiegel <bs@tkscript.de>
///     - Distributed under terms of the Lesser GNU General Public License (LGPL).
///       See COPYING and <http://www.gnu.org/licenses/licenses.html#LGPL> for further information.
///
///
#ifndef __TKSDL_VIEWPORT_H__
#define __TKSDL_VIEWPORT_H__

YG("hal1");


//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
//~                                                                ~
//~ Viewport                                                       ~
//~                                                                ~
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
YCS class _Viewport : public YAC_Object {
public:
	 _Viewport(void);
	 ~_Viewport();

	 YAC(_Viewport);

	 // ------------ exported methods ------------
	 YM sSI  _openWindow          (sSI _sx, sSI _sy);
	 YM sSI  _openScreen          (sSI, sSI, sSI);
	 YM void _toggleFullScreen    (void);
	 YM void _close               (void);
	 YM void _beginPaint          (void);
	 YM void _endPaint            (void);
	 YM sSI  _getWidth            (void);
	 YM sSI  _getHeight           (void);
	 YM sSI  _getDepth            (void);
	 YM void _setCaption          (YAC_String *);
	 YM void _setPickingPos       (sSI,sSI);
	 YM sF32 _getPickedz          (void);
	 YM sSI  _getPickedid         (void);
	 YM void _waitVBlank          (void);
	 YM sSI  _getFrequency        (void);
	 YM void _setFlags            (sSI);
	 YM sSI  _getFlags            (void);
	 YM sSI  _resizeWindow        (sSI _sx, sSI _sy);
	 YM void _needRedraw          (void);
	 YM void _setScreenResolution (sSI, sSI, sSI);
    YM sSI  _getDoubleBuffer     (void);
    YM void _setDoubleBuffer     (sSI _enabled);
};


#endif
